Bug 196044 - devel/icu: unbreak on mips
Summary: devel/icu: unbreak on mips
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks: 199471
  Show dependency treegraph
 
Reported: 2014-12-16 23:28 UTC by Dmitry Marakasov
Modified: 2015-06-29 15:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
Fix (843 bytes, patch)
2014-12-16 23:28 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2014-12-16 23:28:14 UTC
Created attachment 150659 [details]
Fix

icu detects platform endianess by checking widely used BYTE_ORDER define. On FreeBSD, it is not defined unless sys/endian.h is included. As icu doesn't include that header, endianess detection breaks and defaults to little endian, which breaks at least mips build. The attached patch fixes it. Build checked on amd64, i386, armv6 and mips - all successfully. This fix should unblock many packages on mips and possibly other big endian architectures like sparc64.

Related upstream ticket:

https://ssl.icu-project.org/trac/ticket/11437
Comment 1 Bugzilla Automation freebsd_committer 2014-12-16 23:28:14 UTC
Auto-assigned to maintainer office@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-12-19 18:13:12 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Dec 19 18:13:02 UTC 2014
New revision: 374962
URL: https://svnweb.freebsd.org/changeset/ports/374962

Log:
  - Fix build in MIPS (and other big-endian archs) by addin an include needed for proper endianess detection

  Upstream ticket: https://ssl.icu-project.org/trac/ticket/11437

  PR:		196044
  Submitted by:	amdmi3
  Approved by:	bapt

Changes:
  head/devel/icu/files/patch-common__unicode__platform.h
Comment 3 commit-hook freebsd_committer 2014-12-25 17:33:28 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec 25 17:32:33 UTC 2014
New revision: 375591
URL: https://svnweb.freebsd.org/changeset/ports/375591

Log:
  - Roll back r374962 (Fix build in MIPS (and other big-endian archs) by addin an include needed for proper endianess detection) as it breaks build on i386 < 10.x until proper solution is found

  PR:		196044
  Approved by:	bapt (implicit)

Changes:
  head/devel/icu/files/patch-common__unicode__platform.h
Comment 4 Sean Bruno freebsd_committer 2015-05-03 18:36:00 UTC
Patch needs to be reworked.  I'm reopening this.
Comment 5 Sean Bruno freebsd_committer 2015-05-31 18:54:39 UTC
I've patched our build for big-endian architectures to DTRT.

As far as I can tell, this works.  Retest please?
Comment 6 Sean Bruno freebsd_committer 2015-06-29 15:22:32 UTC
Resolved:

https://svnweb.freebsd.org/changeset/ports/388126